ACN::DMP::address_pair_list Struct Reference

The address_pair_list struct. More...

`#include <dmp.h>`

Inheritance diagram for ACN::DMP::address_pair_list:
[legend]

## Public Member Functions

| address_pair_list (const address_type *t)
| address_pair_list More...
size_t | streamSize () const override
| dmp_set_data::streamSize More...
void | iStream (PDU::Stream) override
| address_pair_list::iStream More...
void | oStream (PDU::Stream) const override
| address_pair_list::oStream More...

## Public Attributes

std::vector< address_data_pair > | properties
| list of address/data pairs

## Detailed Description

The address_pair_list struct.

## Constructor & Destructor Documentation

## address_pair_list()

ACN::DMP::address_pair_list::address_pair_list | ( | const address_type * | t | ) |

inline

address_pair_list

Parameters

  t |

## Member Function Documentation

## iStream()

void ACN::DMP::address_pair_list::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

address_pair_list::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

Here is the call graph for this function:

## oStream()

void ACN::DMP::address_pair_list::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

address_pair_list::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t ACN::DMP::address_pair_list::streamSize | ( |  | ) | const

overridevirtual

dmp_set_data::streamSize

Returns

Implements ACN::PDU::pdu_stream_object.

Here is the call graph for this function:

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmp/dmp.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmp/dmp.cpp